import { request } from "@/utils/request";

export const getDeviceStatusChangeList = (params) =>
  request({
    url: '/rq/iot-device/statusRelationDevices',
    method: 'GET',
    params,
  })

export const getDeviceStatusHistoryList = (params) =>
  request({
    url: '/pms/iot-device-status-log/page',
    method: 'GET',
    params,
  })

export const submitDeviceChangeRecord = (data) =>
  request({
    url: '/rq/iot-device/saveDeviceStatuses',
    method: 'POST',
    data,
  })